groovy.beans

## Class DefaultPropertyReader

- java.lang.Object
- - groovy.beans.DefaultPropertyReader

- All Implemented Interfaces:
    PropertyReader

      public class DefaultPropertyReader
      extends java.lang.Object
      implements PropertyReader

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PropertyReader` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultPropertyReader()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `read(java.lang.Object owner, java.lang.String propertyName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final PropertyReader INSTANCE

  - ### Constructor Detail

    - #### DefaultPropertyReader

          public DefaultPropertyReader()

  - ### Method Detail

    - #### read

          public java.lang.Object read(java.lang.Object owner,
                              java.lang.String propertyName)

      Specified by:
        `read` in interface `PropertyReader`